# driveItems.get

Read a drive item with its drive, children, visible ancestors, and shares.

`GET /api/v1/drive-items/{itemId}`

- SDK: [`tb.driveItems.get(input)`](/sdk)
- CLI: [`thinkbench drive-items get`](/cli)
- MCP tool: [`drive_items_get`](/mcp)

## Input

| Field | Type | In | Description |
| --- | --- | --- | --- |
| `itemId` | `string` | path |  |

## Output

| Field | Type | Description |
| --- | --- | --- |
| `item` | [DriveItem](/api/objects/drive-item) |  |

## Examples

### curl

```bash
curl "https://app.thinkbench.com/api/v1/drive-items/<itemId>" \
  -H "x-api-key: $THINKBENCH_API_KEY"
```

### TypeScript SDK

```ts
const result = await tb.driveItems.get({ itemId: "<itemId>" });
```

### CLI

```bash
thinkbench drive-items get --item-id "<itemId>"
```

### MCP

```json
{
  "name": "drive_items_get",
  "arguments": {
    "itemId": "<itemId>"
  }
}
```
